const config = require('../../config');
const providers = config.providers;
const crypto = require('crypto');
const bcrypt = require('bcrypt');
const moment = require('moment');

module.exports = function(sequelize, DataTypes) {
  const title_cast = sequelize.define(
    'title_cast',
    {
      id: {
        type: DataTypes.UUID,
        defaultValue: DataTypes.UUIDV4,
        primaryKey: true,
      },

character_name: {
        type: DataTypes.TEXT,
      
      

      },

billing_order: {
        type: DataTypes.INTEGER,
      
      

      },

      importHash: {
        type: DataTypes.STRING(255),
        allowNull: true,
        unique: true,
      },
    },
    {
      timestamps: true,
      paranoid: true,
      freezeTableName: true,
    },
  );

  title_cast.associate = (db) => {


/// loop through entities and it's fields, and if ref === current e[name] and create relation has many on parent entity


















//end loop



    db.title_cast.belongsTo(db.titles, {
      as: 'title',
      foreignKey: {
        name: 'titleId',
      },
      constraints: false,
    });

    db.title_cast.belongsTo(db.people, {
      as: 'person',
      foreignKey: {
        name: 'personId',
      },
      constraints: false,
    });




    db.title_cast.belongsTo(db.users, {
      as: 'createdBy',
    });

    db.title_cast.belongsTo(db.users, {
      as: 'updatedBy',
    });
  };



  return title_cast;
};


